# Use %VAR% to reference template-time variables
default:
  image: '${REGISTRY}/install:%TREE_HASH%'
  interruptible: true
  before_script:
    - cd /src
    - ./scripts/ci/init_repo_in_container.bash

variables:
  GIT_STRATEGY: none

🎨 lint:
  script:
    - yarn lint
  rules:
    - if: $CI_MERGE_REQUEST_ID

🛠 test:
  script:
    - yarn test
  rules:
    - if: $CI_MERGE_REQUEST_ID

💄 deploy:chromatic:
  script:
    - yarn build:storybook
    - yarn deploy:chromatic
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes:
        - src/*
    - if: $CI_MERGE_REQUEST_ID
      changes:
        - src/*

🚀 publish:
  only:
    - master
  script:
    - echo "//registry.npmjs.org/:_authToken=$NPM_TOKEN" > .npmrc
    - yarn build:package
    - npm publish
